Bug 222110 - nss_ldap brokeness prevention attempt
nss_ldap brokeness prevention attempt
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dovecot (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Janousek
: Security
: 223434 (view as bug list)
Depends On: 154315
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-10 09:12 EST by Tomas Janousek
Modified: 2014-01-21 17:56 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2007-0269
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 18:48:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Janousek 2007-01-10 09:12:31 EST
+++ This bug was initially created as a clone of Bug #154315 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7.6)
Gecko/20050225 Firefox/1.0.1

Description of problem:
Please apply included patch which tries to prevent bug 154314 from breaking too
badly.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
x

Additional info:

-- Additional comment from tss@iki.fi on 2005-04-09 14:21 EST --
Created an attachment (id=112915)
Extra check


-- Additional comment from wtogami@redhat.com on 2005-04-09 22:55 EST --
Worthwhile to add error checking to dovecot, although this doesn't solve the
real problem in nss_ldap (Bug #154314).

-- Additional comment from wtogami@redhat.com on 2005-05-22 23:38 EST --
I held back from applying this because of concern that it would hide the problem
rather than solving it.  Though I suppose it really doesn't... it would catch
the problem and give an error message.

-- Additional comment from prockai@redhat.com on 2006-01-31 07:42 EST --
Do we want to get this into FC3 updates? Not overly likely considering how    
long this bug was in hiatus... Anyhow, if someone thinks it is worth it,    
please tell me. Regardless of that, an FC4 update with 1.0 beta 2 will be    
released in near future and FC5 will have the same, so this bug is not a   
concern for these releases. 

-- Additional comment from prockai@redhat.com on 2006-03-28 03:33 EST --
Plan to make fc4 update with dovecot 1.0beta was dropped for now, so patching 
fc4 version now. FC3 is no longer updated and the problem is apparently not too 
widespread either.

-- Additional comment from prockai@redhat.com on 2006-04-03 15:50 EST --
The fix was released as an update for fc4. The fc5 version is not affected. 
Closing.
Comment 2 RHEL Product and Program Management 2007-01-10 09:23:56 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Tomas Janousek 2007-01-19 05:31:02 EST
*** Bug 223434 has been marked as a duplicate of this bug. ***
Comment 16 Red Hat Bugzilla 2007-05-01 18:48:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0269.html
Comment 22 Issue Tracker 2007-08-14 21:53:31 EDT
Dear SEG,

Could you tell me current status?
When do we merge the patch into the latest nss_ldap?

Kind regards,
Fuchi

Internal Status set to 'Waiting on SEG'

This event sent from IssueTracker by fuchi 
 issue 110106

Note You need to log in before you can comment on or make changes to this bug.